/*
 * $Id: db_commands.h,v 1.1.1.1 2005/05/11 09:03:12 gleissner Exp $
 *
 *
 * Project     :  SCPM (System Configuration Profile Management)
 * Module      :  SCDB manipulation utility
 * File        :  commands.h
 * Description :  SCDB Utility commands
 * Author      :  Joachim Gleissner <jg@suse.de>
 *
 * Copyright 2002 SuSE Linux AG
 *
 * Released under the terms of the GNU General Public License
 * (see file COPYRIGHT in project root directory).
 *
 */
#ifndef COMMANDS_H
#define COMMANDS_H

#include "globals.h"
#include <string>
#include <vector>

void cmd_help( std::vector<std::string> &args );
void cmd_load( std::vector<std::string> &args );
void cmd_save( std::vector<std::string> &args );
void cmd_info( std::vector<std::string> &args );
void cmd_db_version( std::vector<std::string> &args );
void cmd_scpm_version( std::vector<std::string> &args );
void cmd_create( std::vector<std::string> &args );
void cmd_drop( std::vector<std::string> &args );
void cmd_dump( std::vector<std::string> &args );
void cmd_show( std::vector<std::string> &args );
void cmd_minimize( std::vector<std::string> &args );
void cmd_maximize( std::vector<std::string> &args );
void cmd_customize( std::vector<std::string> &args );
void cmd_rebuild_deps( std::vector<std::string> &args );
void cmd_convert( std::vector<std::string> &args );
void cmd_clean( std::vector<std::string> &args );
void cmd_get( std::vector<std::string> &args );
void cmd_set( std::vector<std::string> &args );
void cmd_export( std::vector<std::string> &args );
void cmd_import( std::vector<std::string> &args );

#endif
